/**
 * echarts字体自适应
 * @param {*} font 字号大小
 */
export function getFontSize(font) {
  let clientWidth = window.innerWidth || document.documentElement.clientWidth || document.body.clientWidth
  if (!clientWidth) return
  let fontSize = clientWidth / 1920
  return font * fontSize
}
