import * as URL from "./url";

export default [
  {
    name: "平台设置",
    path: "/config",
    icon: "inlatformSet",
    children: [
      {
        name: "平台账号管理",
        path: "/config/account",
        icon: "numAccount"
      },
      {
        name: "菜单设置",
        path: "/config/menu",
        icon: "menuManagement"
      },
      {
        name: "菜单授权",
        path: "/config/auth",
        icon: "menuEmpower"
      },
      {
        name: "系统参数设置",
        path: "/config/system",
        icon: "platformParamConfig"
      },
      { name: "移动参数设置", path: "/config/mobile", icon: "default" }
    ]
  },
  {
    name: "应用部署",
    path: "/deploy",
    icon: "authCenter",
    children: [
      {
        name: "资源包",
        path: "/deploy/resource",
        icon: "resourceBundle"
      },
      { name: "服务器设置", path: "/deploy/server", icon: "engine" }
    ]
  }
];
