import { init } from '../../common/js/singal/websocket'
export default {
  data() {
    return {
      websocket: null,
      websocketData: {},
      activePhaseId: '',
      runMode: '',
    }
  },
  methods: {
    // BASE_URL: 'ws://10.102.1.181:9000/holows/subscribe',  // 实时轨迹
    // CROSS_CONTROL: 'ws://10.102.1.181:32000/utc/signalStatus/', // 济南
    getCrossWs() {
      this.websocket = init({
        url: `ws://${window.wsHost}/utc/signalStatus/${this.crossId},${this.wsType}`,
        callBack: (res) => {
          this.websocketData = res[0]
          this.activePhaseId = this.websocketData.phaseId
          this.runMode = this.websocketData.runMode
          this.websocketData.dirLampGroupMap = {};
          this.websocketData.dirLampGroupMapList.forEach(item => {
              const dir = item.dir;
              this.websocketData.dirLampGroupMap[dir] = {};
              item.turnList.forEach(turnItem => {
                  this.websocketData.dirLampGroupMap[dir][turnItem.turn] = turnItem.color;
              });
          });
        },
      })
    },
    // //获取路口灯态
    // getCrossSignalLampState() {
    //     var _this = this;
    //     var url = this.WebSocketLampState + this.crossId;
    //     if ("WebSocket" in window && url) {
    //         if (this.websocket) {
    //             this.websocket.close();
    //         }
    //         _this.websocket = new WebSocket(url);
    //         _this.websocket.onopen = function () {
    //             // Web Socket 已连接上，使用 send() 方法发送数据
    //             //ws.send("发送数据");
    //         };
    //         _this.websocket.onmessage = function (evt) {
    //             if (evt.data == "连接成功") {
    //                 return;
    //             }
    //             _this.websocketData = JSON.parse(evt.data)[0];
    //             console.log(_this.websocketData);
    //             var data = JSON.parse(evt.data)[0];
    //             var activePhaseId = data.phaseId;
    //             _this.activePhaseId = activePhaseId;

    //             _this.runMode = data.runMode || data.runMode;

    //             return false;
    //         };
    //         _this.websocket.onclose = function () {
    //             _this.createSignalInfoWebSocket();
    //         };
    //         _this.websocket.onerror = function () {
    //             _this.createSignalInfoWebSocket();
    //         };
    //     }
    // },
    // createSignalInfoWebSocket() {
    //     if (this.SignalInfoLockReconnectc) {
    //         return;
    //     }
    //     this.SignalInfoLockReconnectc = true;
    //     //没连接上会一直重连，设置延迟避免请求过多
    //     this.webScoketTimec && clearTimeout(this.webScoketTimec);
    //     this.webScoketTimec = setTimeout(() => {
    //         this.getCrossSignalLampState();
    //         this.SignalInfoLockReconnectc = false;
    //     }, 1000);
    // },
  },
}
